Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class FontInfoConfigurator

    java.lang.Object
      org.apache.fop.fonts.FontInfoConfigurator

    public class FontInfoConfigurator

extends java.lang.Object

An abstract FontInfo configurator

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger instance

Constructor Summary
`FontInfoConfigurator(org.apache.avalon.framework.configuration.Configuration cfg, FontManager fontManager, FontResolver fontResolver, FontEventListener listener, boolean strict)` Main constructor

Method Summary
`protected void` | `addFonts(org.apache.avalon.framework.configuration.Configuration fontsCfg, FontCache fontCache, java.util.List<EmbedFontInfo> fontInfoList)` Populates the font info list from the fonts configuration
`void` | `configure(java.util.List<EmbedFontInfo> fontInfoList)` Initializes font info settings from the user configuration
`protected EmbedFontInfo` | `getFontInfo(org.apache.avalon.framework.configuration.Configuration fontCfg, FontCache fontCache)` Returns a font info from a font node Configuration definition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logger instance

Constructor Detail

### FontInfoConfigurator

    public FontInfoConfigurator(org.apache.avalon.framework.configuration.Configuration cfg,
                                FontManager fontManager,
                                FontResolver fontResolver,
                                FontEventListener listener,
                                boolean strict)

  Main constructor

  Parameters:
    `cfg` - the configuration object
    `fontManager` - the font manager
    `fontResolver` - the font resolver
    `listener` - the font event listener
    `strict` - true if an Exception should be thrown if an error is found.

Method Detail

### configure

    public void configure(java.util.List<EmbedFontInfo> fontInfoList)
                   throws FOPException

  Initializes font info settings from the user configuration

  Parameters:
    `fontInfoList` - a font info list
  Throws:
    `FOPException` - if an exception occurs while processing the configuration

### addFonts

    protected void addFonts(org.apache.avalon.framework.configuration.Configuration fontsCfg,
                            FontCache fontCache,
                            java.util.List<EmbedFontInfo> fontInfoList)
                     throws FOPException

  Populates the font info list from the fonts configuration

  Parameters:
    `fontsCfg` - a fonts configuration
    `fontCache` - a font cache
    `fontInfoList` - a font info list
  Throws:
    `FOPException` - if an exception occurs while processing the configuration

### getFontInfo

    protected EmbedFontInfo getFontInfo(org.apache.avalon.framework.configuration.Configuration fontCfg,
                                        FontCache fontCache)
                                 throws FOPException

  Returns a font info from a font node Configuration definition

  Parameters:
    `fontCfg` - Configuration object (font node)
    `fontCache` - the font cache (or null if it is disabled)
  Returns:
    the embedded font info
  Throws:
    `FOPException` - if something's wrong with the config data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.